//#line "wndo_lib.c" 23
extern void StartWindows(void );
//#line "wndo_lib.c" 45
extern void ShutdownWindows(void );
//#line "wndo_lib.c" 65
extern void CheckWindowHandle(int32 windowhandle);
//#line "wndo_lib.c" 82
extern void CheckWindowBounds(int32 windowhandle);
//#line "wndo_lib.c" 118
extern void FreeUpWindow(int32 windowhandle);
//#line "wndo_lib.c" 135
extern int32 GetWindow(void );
//#line "wndo_lib.c" 153
extern void SaveWindowBackground(int32 windowhandle);
//#line "wndo_lib.c" 185
extern void RestoreWindowBackground(int32 windowhandle);
//#line "wndo_lib.c" 216
extern void DrawWindow(int32 windowhandle);
//#line "wndo_lib.c" 259
extern int32 OpenWindow(int32 x,int32 y,int32 width,int32 height,int32 foreground,int32 background);
//#line "wndo_lib.c" 316
extern int32 OpenCenteredWindow(int32 width,int32 height,int32 foreground,int32 background);
//#line "wndo_lib.c" 340
extern void CloseWindow(int32 windowhandle);
//#line "wndo_lib.c" 354
extern int32 WindowsOpen(void );
//#line "wndo_lib.c" 366
extern void DrawWindowDivider(int32 windowhandle,int32 yoffset);
//#line "wndo_lib.c" 411
extern int32 DrawWindowString(int32 windowhandle,int32 xoffset,int32 yoffset,char *string,int32 foreground,int32 background);
//#line "wndo_lib.c" 447
extern int32 DrawWindowBlock(int32 windowhandle,int32 xoffset,int32 yoffset,char *block,int32 foreground,int32 background);
//#line "wndo_lib.c" 508
extern void DrawWindowCharacter(int32 windowhandle,int32 xoffset,int32 yoffset,char ch,int32 foreground,int32 background);
//#line "wndo_lib.c" 538
extern int32 DrawWindowCenteredString(int32 windowhandle,int32 yoffset,char *string,int32 foreground,int32 background);
//#line "wndo_lib.c" 569
extern int32 DrawWindowCenteredBlock(int32 windowhandle,int32 yoffset,char *block,int32 foreground,int32 background);
//#line "wndo_lib.c" 604
extern int32 WindowBackgroundColor(int32 windowhandle);
//#line "wndo_lib.c" 620
extern int32 WindowForegroundColor(int32 windowhandle);
//#line "wndo_lib.c" 636
extern int32 WindowWidth(int32 windowhandle);
//#line "wndo_lib.c" 652
extern int32 WindowHeight(int32 windowhandle);
//#line "wndo_lib.c" 670
extern void ClearWindowLine(int32 windowhandle,int32 y);
//#line "wndo_lib.c" 696
extern void GetWindowCharacter(int32 windowhandle,int32 x,int32 y,int32 *ch,int32 *foreground,int32 *background);
